dnl======================================================================
dnl AC_GDS_CHECK_DISTRO
dnl   Check target ditribution (redhat-like or debaian-like)
dnl======================================================================

AC_DEFUN([AC_GDS_CHECK_DISTRO],
[
   distro=unknown
   if test -f /etc/debian_version 
   then
      distro=debian
   elif test -f /etc/redhat-release
   then
      distro=redhat
   fi
   AC_MSG_CHECKING([for user specified distribution])
   AC_ARG_WITH(distro,
   	       AS_HELP_STRING([--with-distro=DISTNAME],[distribution type @<:@unknown@:>@
			     ]),
	       [distro=${with_distro}]
	      )
   AC_MSG_RESULT(${distro})
   AC_ARG_WITH(distconfigdir,
    AS_HELP_STRING([--with-distconfigdir=DIR],[distribution type @<:@unknown@:>@
	    ]),
    [distconfigdir=${with_distconfigdir}],
    [distconfigdir=/etc]
    )
   debian_distro=no
   redhat_distro=no
   case ${distro} in
   ubuntu | debian)
      distconfigdir='${sysconfdir}/default'
      debian_distro=yes
      ;;
   fedora | redhat | rhel | scientific)
      distconfigdir='${sysconfdir}/sysconfig'
      redhat_distro=yes
      ;;
   esac
   AM_CONDITIONAL([debian_distro],[test x$debian_distro = xyes])
   AM_CONDITIONAL([redhat_distro],[test x$redhat_distro = xyes])
   AC_SUBST(distconfigdir)
])
