%define name 	gds-lowlatency-tools
%define version 2.19.4
%define release 1
%define daswg   /usr
%define prefix  %{daswg}
%define dmtrun 1
%if %{?_verbose}%{!?_verbose:0}
# Verbose make output
%define _verbose_make 1
%else
%if 1%{?_verbose}
# Silent make output
%define _verbose_make 0
%else
# DEFAULT make output
%define _verbose_make 1
%endif
%endif

Name: 		%{name}
Summary: 	gds-lowlatency-tools 2.19.4
Version: 	%{version}
Release: 	%{release}%{?dist}
License: 	GPL
Group: 		      LIGO Global Diagnotic Systems
Source: 	      https://software.igwn.org/lscsoft/source/%{name}-%{version}.tar.gz
Packager: 	    John Zweizig (john.zweizig@ligo.org)
BuildRoot: 	    %{_tmppath}/%{name}-%{version}-root
URL: 		        https://computing.docs.ligo.org/daswgweb/projects/dmt.html
BuildRequires: 	gcc
BuildRequires:  gcc-c++
BuildRequires:  glibc
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  libtool
BuildRequires:  m4
BuildRequires:  make
BuildRequires:  readline-devel
BuildRequires:  fftw-devel
BuildRequires:  jsoncpp-devel
BuildRequires:  gds-base-devel >= 2.19.6
BuildRequires:  gds-lsmp-devel >= 2.19.7
Obsoletes:      gds-lowlatency <= 2.19.1
Obsoletes:      gds-utilities-lowlatency <= 2.19.1
Requires:       gds-base >= 2.19.6
Requires:       gds-lsmp >= 2.19.7
Prefix:		      %prefix

%description
Lowlatency libraries implement the gds shared memory and interconnects.

#------------------------------------------------------------------------

%prep
%setup -q

%build
PKG_CONFIG_PATH=%{daswg}/%{_lib}/pkgconfig
ROOTSYS=/usr

export PKG_CONFIG_PATH ROOTSYS
./configure  --prefix=%prefix --libdir=%{_libdir} \
	     --includedir=%{prefix}/include/gds \
       --enable-online
make V=%{_verbose_make}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# don't distribute *.la files
[ ${RPM_BUILD_ROOT} != "/" ] && find ${RPM_BUILD_ROOT} -name "*.la" -type f -delete

%files
%defattr(-,root,root)
%{_bindir}/*

%changelog
* Wed May 19 2021 Edward Maros <ed.maros@ligo.org> - 2.19.4
- Updated for release as described in NEWS.md

* Fri May 07 2021 Edward Maros <ed.maros@ligo.org> - 2.19.3
- Updated for release as described in NEWS.md

* Wed Feb 17 2021 Edward Maros <ed.maros@ligo.org> - 2.19.2
- Modified Source field of RPM spec file to have a fully qualified URI

* Tue Feb 02 2021 Edward Maros <ed.maros@ligo.org> - 2.19.1
- Corrections to build rules

* Fri Nov 20 2020 Edward Maros <ed.maros@ligo.org> - 2.19.0
- Split lowlatency as a separate package
